## sml-nj 110

=== src/cml/doc/Makefile ===
# Generated makefile
#

MLDOC_BIN = /home/jhr/SGML/ML-Doc/bin/.heap

SML = sml

PROOF = $(SML) @SMLload=$(MLDOC_BIN)/proof-latex @SMLdebug=/dev/null
EXTRACT_INFO = $(SML) @SMLload=$(MLDOC_BIN)/extract-info @SMLdebug=/dev/null
MERGE_INFO = $(SML) @SMLload=$(MLDOC_BIN)/merge-info @SMLdebug=/dev/null
HTML_GEN = $(SML) @SMLload=$(MLDOC_BIN)/html-gen @SMLdebug=/dev/null
HTML_INDEX = $(SML) @SMLload=$(MLDOC_BIN)/html-index @SMLdebug=/dev/null

SRC_DIR = ML-Doc
PROOF_DIR = Proof
INFO_DIR = Info
HTML_DIR = HTML

HTML_FILES =	$(HTML_DIR)/index-all.html \
	$(HTML_DIR)/refman.html \
	$(HTML_DIR)/basics.html \
	$(HTML_DIR)/porting.html \
	$(HTML_DIR)/core-cml.html \
	$(HTML_DIR)/cml.html \
	$(HTML_DIR)/mailbox.html \
	$(HTML_DIR)/sync-var.html \
	$(HTML_DIR)/os.html \
	$(HTML_DIR)/os-process.html \
	$(HTML_DIR)/os-io.html \
	$(HTML_DIR)/cml-lib.html \
	$(HTML_DIR)/multicast.html \
	$(HTML_DIR)/trace-cml.html

INFO_FILES =	$(INFO_DIR)/refman.info \
	$(INFO_DIR)/basics.info \
	$(INFO_DIR)/porting.info \
	$(INFO_DIR)/core-cml.info \
	$(INFO_DIR)/cml.info \
	$(INFO_DIR)/mailbox.info \
	$(INFO_DIR)/sync-var.info \
	$(INFO_DIR)/os.info \
	$(INFO_DIR)/os-process.info \
	$(INFO_DIR)/os-io.info \
	$(INFO_DIR)/cml-lib.info \
	$(INFO_DIR)/multicast.info \
	$(INFO_DIR)/trace-cml.info

PROOF_FILES =	$(PROOF_DIR)/refman.tex \
	$(PROOF_DIR)/basics.tex \
	$(PROOF_DIR)/porting.tex \
	$(PROOF_DIR)/core-cml.tex \
	$(PROOF_DIR)/cml.tex \
	$(PROOF_DIR)/mailbox.tex \
	$(PROOF_DIR)/sync-var.tex \
	$(PROOF_DIR)/os.tex \
	$(PROOF_DIR)/os-process.tex \
	$(PROOF_DIR)/os-io.tex \
	$(PROOF_DIR)/cml-lib.tex \
	$(PROOF_DIR)/multicast.tex \
	$(PROOF_DIR)/trace-cml.tex

HTML:	$(HTML_FILES)

$(HTML_DIR)/refman.html:	$(SRC_DIR)/refman.mldoc $(INFO_DIR)/Master.info
	$(HTML_GEN) $(SRC_DIR)/refman.mldoc

$(HTML_DIR)/basics.html:	$(SRC_DIR)/basics.mldoc $(INFO_DIR)/Master.info
	$(HTML_GEN) $(SRC_DIR)/basics.mldoc

$(HTML_DIR)/porting.html:	$(SRC_DIR)/porting.mldoc $(INFO_DIR)/Master.info
	$(HTML_GEN) $(SRC_DIR)/porting.mldoc

$(HTML_DIR)/core-cml.html:	$(SRC_DIR)/core-cml.mldoc $(INFO_DIR)/Master.info
	$(HTML_GEN) $(SRC_DIR)/core-cml.mldoc

$(HTML_DIR)/cml.html:	$(SRC_DIR)/cml.mldoc $(INFO_DIR)/Master.info
	$(HTML_GEN) $(SRC_DIR)/cml.mldoc

$(HTML_DIR)/mailbox.html:	$(SRC_DIR)/mailbox.mldoc $(INFO_DIR)/Master.info
	$(HTML_GEN) $(SRC_DIR)/mailbox.mldoc

$(HTML_DIR)/sync-var.html:	$(SRC_DIR)/sync-var.mldoc $(INFO_DIR)/Master.info
	$(HTML_GEN) $(SRC_DIR)/sync-var.mldoc

$(HTML_DIR)/os.html:	$(SRC_DIR)/os.mldoc $(INFO_DIR)/Master.info
	$(HTML_GEN) $(SRC_DIR)/os.mldoc

$(HTML_DIR)/os-process.html:	$(SRC_DIR)/os-process.mldoc $(INFO_DIR)/Master.info
	$(HTML_GEN) $(SRC_DIR)/os-process.mldoc

$(HTML_DIR)/os-io.html:	$(SRC_DIR)/os-io.mldoc $(INFO_DIR)/Master.info
	$(HTML_GEN) $(SRC_DIR)/os-io.mldoc

$(HTML_DIR)/cml-lib.html:	$(SRC_DIR)/cml-lib.mldoc $(INFO_DIR)/Master.info
	$(HTML_GEN) $(SRC_DIR)/cml-lib.mldoc

$(HTML_DIR)/multicast.html:	$(SRC_DIR)/lib/multicast.mldoc $(INFO_DIR)/Master.info
	$(HTML_GEN) $(SRC_DIR)/lib/multicast.mldoc

$(HTML_DIR)/trace-cml.html:	$(SRC_DIR)/lib/trace-cml.mldoc $(INFO_DIR)/Master.info
	$(HTML_GEN) $(SRC_DIR)/lib/trace-cml.mldoc

$(HTML_DIR)/index-all.html:	$(INFO_DIR)/Master.info
	$(HTML_INDEX) -all

$(INFO_DIR)/Master.info:	$(INFO_FILES)
	$(MERGE_INFO) $(INFO_FILES)

$(INFO_DIR)/refman.info:	$(SRC_DIR)/refman.mldoc CATALOG
	$(EXTRACT_INFO) $(SRC_DIR)/refman.mldoc

$(INFO_DIR)/basics.info:	$(SRC_DIR)/basics.mldoc CATALOG
	$(EXTRACT_INFO) $(SRC_DIR)/basics.mldoc

$(INFO_DIR)/porting.info:	$(SRC_DIR)/porting.mldoc CATALOG
	$(EXTRACT_INFO) $(SRC_DIR)/porting.mldoc

$(INFO_DIR)/core-cml.info:	$(SRC_DIR)/core-cml.mldoc CATALOG
	$(EXTRACT_INFO) $(SRC_DIR)/core-cml.mldoc

$(INFO_DIR)/cml.info:	$(SRC_DIR)/cml.mldoc CATALOG
	$(EXTRACT_INFO) $(SRC_DIR)/cml.mldoc

$(INFO_DIR)/mailbox.info:	$(SRC_DIR)/mailbox.mldoc CATALOG
	$(EXTRACT_INFO) $(SRC_DIR)/mailbox.mldoc

$(INFO_DIR)/sync-var.info:	$(SRC_DIR)/sync-var.mldoc CATALOG
	$(EXTRACT_INFO) $(SRC_DIR)/sync-var.mldoc

$(INFO_DIR)/os.info:	$(SRC_DIR)/os.mldoc CATALOG
	$(EXTRACT_INFO) $(SRC_DIR)/os.mldoc

$(INFO_DIR)/os-process.info:	$(SRC_DIR)/os-process.mldoc CATALOG
	$(EXTRACT_INFO) $(SRC_DIR)/os-process.mldoc

$(INFO_DIR)/os-io.info:	$(SRC_DIR)/os-io.mldoc CATALOG
	$(EXTRACT_INFO) $(SRC_DIR)/os-io.mldoc

$(INFO_DIR)/cml-lib.info:	$(SRC_DIR)/cml-lib.mldoc CATALOG
	$(EXTRACT_INFO) $(SRC_DIR)/cml-lib.mldoc

$(INFO_DIR)/multicast.info:	$(SRC_DIR)/lib/multicast.mldoc CATALOG
	$(EXTRACT_INFO) $(SRC_DIR)/lib/multicast.mldoc

$(INFO_DIR)/trace-cml.info:	$(SRC_DIR)/lib/trace-cml.mldoc CATALOG
	$(EXTRACT_INFO) $(SRC_DIR)/lib/trace-cml.mldoc

Proof:	$(ProofFiles)

$(PROOF_DIR)/refman.tex:	$(SRC_DIR)/refman.mldoc CATALOG
	$(PROOF) $(SRC_DIR)/refman.mldoc

$(PROOF_DIR)/basics.tex:	$(SRC_DIR)/basics.mldoc CATALOG
	$(PROOF) $(SRC_DIR)/basics.mldoc

$(PROOF_DIR)/porting.tex:	$(SRC_DIR)/porting.mldoc CATALOG
	$(PROOF) $(SRC_DIR)/porting.mldoc

$(PROOF_DIR)/core-cml.tex:	$(SRC_DIR)/core-cml.mldoc CATALOG
	$(PROOF) $(SRC_DIR)/core-cml.mldoc

$(PROOF_DIR)/cml.tex:	$(SRC_DIR)/cml.mldoc CATALOG
	$(PROOF) $(SRC_DIR)/cml.mldoc

$(PROOF_DIR)/mailbox.tex:	$(SRC_DIR)/mailbox.mldoc CATALOG
	$(PROOF) $(SRC_DIR)/mailbox.mldoc

$(PROOF_DIR)/sync-var.tex:	$(SRC_DIR)/sync-var.mldoc CATALOG
	$(PROOF) $(SRC_DIR)/sync-var.mldoc

$(PROOF_DIR)/os.tex:	$(SRC_DIR)/os.mldoc CATALOG
	$(PROOF) $(SRC_DIR)/os.mldoc

$(PROOF_DIR)/os-process.tex:	$(SRC_DIR)/os-process.mldoc CATALOG
	$(PROOF) $(SRC_DIR)/os-process.mldoc

$(PROOF_DIR)/os-io.tex:	$(SRC_DIR)/os-io.mldoc CATALOG
	$(PROOF) $(SRC_DIR)/os-io.mldoc

$(PROOF_DIR)/cml-lib.tex:	$(SRC_DIR)/cml-lib.mldoc CATALOG
	$(PROOF) $(SRC_DIR)/cml-lib.mldoc

$(PROOF_DIR)/multicast.tex:	$(SRC_DIR)/lib/multicast.mldoc CATALOG
	$(PROOF) $(SRC_DIR)/lib/multicast.mldoc

$(PROOF_DIR)/trace-cml.tex:	$(SRC_DIR)/lib/trace-cml.mldoc CATALOG
	$(PROOF) $(SRC_DIR)/lib/trace-cml.mldoc

clean:
	rm -f $(PROOF_FILES)
	rm -f $(INFO_DIR)/Master.info $(INFO_FILES)
	rm -f $(HTML_FILES)

## sml-nj 110.42-3

=== debian/changelog ===
sml-nj (110.42-3) unstable; urgency=low
  * New packaging, split the runtime system and compiler into separate
    packages.
  * This package now depends on smlnj, so the same functionality of the
    original sml-nj package will be installed: runtime, compiler, ml-lex
    and ml-yacc.

 -- Aaron Matthew Read <amread@nyx.net>  Fri,  6 Dec 2002 13:16:09 -0800

sml-nj (110.42-2) unstable; urgency=low

  * Fixed wrappers so they pass arguments. closes:Bug#171652
  * Fixed rules file to remove bashism "echo -e". closes:Bug#171638

 -- Aaron Matthew Read <amread@nyx.net>  Tue,  3 Dec 2002 19:36:51 -0800

sml-nj (110.42-1) unstable; urgency=low

  * Initial Release. closes: Bug#153880
  * Sponsored by Matthew Danish <mdanish@andrew.cmu.edu>
  * First attempt at a Debian package.
  * Kept sources as is, used wrapper to start sml with SMLNJ_HOME set.

 -- Aaron Matthew Read <amread@nyx.net>  Fri, 25 Oct 2002 15:54:10 -0700

=== debian/control ===
Source: sml-nj
Section: devel
Priority: optional
Maintainer: Aaron Matthew Read <amread@nyx.net>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.6.1

Package: sml-nj
Architecture: any
Depends: smlnj
Suggests: sml-mode, smlnj-lib, ml-burg, ml-lex, ml-yacc
Description: Standard ML of New Jersey
 SML/NJ is an implementation of the Standard ML programming language.
 Standard ML has many features, including type safety, polymorphism,
 algebraic data types with pattern matching, higher-order functions,
 and a sophisticated module system. It is especially well-suited for
 writing compilers and other language processors.
 .
 This package exists to ease the transition to the new SML/NJ packaging. 
 Installation of this package will result in a SML/NJ system fit for
 development purposes.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.

	touch build-stamp

clean:
	dh_testdir
	#dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.

	dh_clean

install: build
	dh_testdir
	#dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/sml-nj.


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
